<template>
  <div class="simon-header">
    <h1>Level {{ this.levelnumber }}</h1>
    <h3>Etat de la partie : {{ gamestatelabel }} </h3>
    <h3 v-if="isgamerunning">{{ canplayerplay ? "Le joueur peut jouer." : "L'ordi joue." }}</h3>
    <button @click="$emit('start-event')" :disabled="isgamerunning">Lancer la partie</button>
  </div>
</template>

<script>
export default {
  name: 'HeaderJeu',
  props: {
    levelnumber: Number,
    gamestatelabel: String,
    canplayerplay: Boolean,
    isgamerunning: Boolean
  },
}
</script>